%define module_name WebService-MerriamWebster
# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTTP/Tiny.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/LibXML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: use Merriam-Webster dictionary API in Perl 
Group: Development/Perl
License: perl
URL: https://github.com/swuecho/WebService_MerriamWebster

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SW/SWUECHO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebService::MerriamWebster is an api to merriam-webster.com dictionary. It gives you xml result based on your query.
it use XML::LibXML to process the XML result (very basic). If you need to get the value of specific node, probably
you need to deal with the xml yourself.  



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/W*

%changelog
* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

